Debian Bug report logs - #479952
libc6/s390 - __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: Bastian Blank <waldi@debian.org>

Date: Wed, 7 May 2008 09:36:04 UTC

Severity: important

Found in versions glibc/2.7-10, glibc/2.7-18, eglibc/2.9-21

Fixed in versions 2.7-16, eglibc/2.10.1-0exp1, eglibc/2.10.1-0exp2, eglibc/2.10.1-1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: Adam C Powell IV <hazelsct@debian.org>, debian-java@lists.debian.org, debian-s390@lists.debian.org, submit@bugs.debian.org
Subject: libc6/s390 - __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Wed, 7 May 2008 11:29:49 +0200
Package: libc6
Version: 2.7-10
Severity: important

On Wed, May 07, 2008 at 09:34:12AM +0200, Matthias Klose wrote:
> the build failure on s390 is unexpected; is it possible to extract a
> test case?

| java: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.

So another package failed about that (after mono and libto$bla). It
looks like a race condition somewhere in the libpthread.

Bastian

-- 
The more complex the mind, the greater the need for the simplicity of play.
		-- Kirk, "Shore Leave", stardate 3025.8




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Matthias Klose <doko@cs.tu-berlin.de>, Adam C Powell IV <hazelsct@debian.org>, debian-java@lists.debian.org, debian-s390@lists.debian.org, submit@bugs.debian.org
Subject: Re: Bug#479952: libc6/s390 - __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Sun, 11 May 2008 00:23:02 +0200
On Wed, May 07, 2008 at 11:29:49AM +0200, Bastian Blank wrote:
> Package: libc6
> Version: 2.7-10
> Severity: important
> 
> On Wed, May 07, 2008 at 09:34:12AM +0200, Matthias Klose wrote:
> > the build failure on s390 is unexpected; is it possible to extract a
> > test case?
> 
> | java: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
> 
> So another package failed about that (after mono and libto$bla). It
> looks like a race condition somewhere in the libpthread.
> 

Looking quickly at the code the problem is that LLL_MUTEX_LOCK (mutex)
fails to acquire the mutex. It can be a bug in atomic.h or a bug in the
futexes implementation of the kernel.

It would be nice to have an strace of the problem to see the futex
syscall before this assertion.

Also a small testcase of the problem would be really helpful to debug
it.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Blocking bugs of 468793 added: 479952 Request was from Pierre Habouzit <madcoder@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 12:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Sat, 25 Oct 2008 17:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 25 Oct 2008 17:24:02 GMT) Full text and rfc822 format available.

Message #17 received at 479952@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Aurelien Jarno <aurelien@aurel32.net>, 479952@bugs.debian.org
Cc: Matthias Klose <doko@cs.tu-berlin.de>, Adam C Powell IV <hazelsct@debian.org>, debian-java@lists.debian.org, debian-s390@lists.debian.org
Subject: Re: Bug#479952: libc6/s390 - __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Sat, 25 Oct 2008 19:21:08 +0200
[Message part 1 (text/plain, inline)]
At 1210458182 time_t, Aurelien Jarno wrote:
> Looking quickly at the code the problem is that LLL_MUTEX_LOCK (mutex)
> fails to acquire the mutex. It can be a bug in atomic.h or a bug in the
> futexes implementation of the kernel.
> 
> It would be nice to have an strace of the problem to see the futex
> syscall before this assertion.

Here's what I can get from #468793.
In this test, if the number of thread is <= 2, it's ok.
With something like ./tchmttest typical casket 3 1000 1000 it fails 50 %
of the time.

I've tried to strace the test but unfortunately when stracing,
everything is fine.

Is there anything from an outsider that could help?

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Mon, 27 Oct 2008 13:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Carlos O'Donell" <carlos@systemhalted.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 27 Oct 2008 13:06:02 GMT) Full text and rfc822 format available.

Message #22 received at 479952@bugs.debian.org (full text, mbox):

From: "Carlos O'Donell" <carlos@systemhalted.org>
To: "Julien Danjou" <acid@debian.org>, 479952@bugs.debian.org
Cc: "Aurelien Jarno" <aurelien@aurel32.net>, "Matthias Klose" <doko@cs.tu-berlin.de>, "Adam C Powell IV" <hazelsct@debian.org>, debian-java@lists.debian.org, debian-s390@lists.debian.org
Subject: Re: Bug#479952: libc6/s390 - __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 27 Oct 2008 09:04:20 -0400
On Sat, Oct 25, 2008 at 1:21 PM, Julien Danjou <acid@debian.org> wrote:
> Is there anything from an outsider that could help?

I've seen this on-and-off again on the hppa-linux port. The issue has,
in my experience, been a compiler problem. My standard operating
procedure is to methodically add volatile to the atomic.h operations
until it goes away, and then work out the compiler mis-optimization.

The bug is almost always a situation where the lll_unlock is scheduled
before owner = 0, and the assert catches the race condition where you
unlock but have not yet cleared the owner.

$0.02.

Cheers,
Carlos.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Mon, 27 Oct 2008 14:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Haley <aph@redhat.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 27 Oct 2008 14:12:05 GMT) Full text and rfc822 format available.

Message #27 received at 479952@bugs.debian.org (full text, mbox):

From: Andrew Haley <aph@redhat.com>
To: "Carlos O'Donell" <carlos@systemhalted.org>
Cc: Julien Danjou <acid@debian.org>, 479952@bugs.debian.org, Aurelien Jarno <aurelien@aurel32.net>, Matthias Klose <doko@cs.tu-berlin.de>, Adam C Powell IV <hazelsct@debian.org>, debian-java@lists.debian.org, debian-s390@lists.debian.org
Subject: Re: Bug#479952: libc6/s390 - __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 27 Oct 2008 14:05:37 +0000
Carlos O'Donell wrote:
> On Sat, Oct 25, 2008 at 1:21 PM, Julien Danjou <acid@debian.org> wrote:
>> Is there anything from an outsider that could help?
> 
> I've seen this on-and-off again on the hppa-linux port. The issue has,
> in my experience, been a compiler problem. My standard operating
> procedure is to methodically add volatile to the atomic.h operations
> until it goes away, and then work out the compiler mis-optimization.
> 
> The bug is almost always a situation where the lll_unlock is scheduled
> before owner = 0, and the assert catches the race condition where you
> unlock but have not yet cleared the owner.

Are you sure this is a compiler problem?  Unless you use explicit atomic
memory accesses or volatile the compiler is supposed to re-order memory
access.  Perhaps I'm misunderstanding you.

Andrew.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Mon, 27 Oct 2008 14:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Carlos O'Donell" <carlos@systemhalted.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 27 Oct 2008 14:24:02 GMT) Full text and rfc822 format available.

Message #32 received at 479952@bugs.debian.org (full text, mbox):

From: "Carlos O'Donell" <carlos@systemhalted.org>
To: "Andrew Haley" <aph@redhat.com>
Cc: "Julien Danjou" <acid@debian.org>, 479952@bugs.debian.org, "Aurelien Jarno" <aurelien@aurel32.net>, "Matthias Klose" <doko@cs.tu-berlin.de>, "Adam C Powell IV" <hazelsct@debian.org>, debian-java@lists.debian.org, debian-s390@lists.debian.org
Subject: Re: Bug#479952: libc6/s390 - __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 27 Oct 2008 10:22:38 -0400
On Mon, Oct 27, 2008 at 10:05 AM, Andrew Haley <aph@redhat.com> wrote:
>> I've seen this on-and-off again on the hppa-linux port. The issue has,
>> in my experience, been a compiler problem. My standard operating
>> procedure is to methodically add volatile to the atomic.h operations
>> until it goes away, and then work out the compiler mis-optimization.
>>
>> The bug is almost always a situation where the lll_unlock is scheduled
>> before owner = 0, and the assert catches the race condition where you
>> unlock but have not yet cleared the owner.
>
> Are you sure this is a compiler problem?  Unless you use explicit atomic
> memory accesses or volatile the compiler is supposed to re-order memory
> access.  Perhaps I'm misunderstanding you.

Sorry, parsing the above statement requires knowing something about
how lll_unlock is implemented in glibc.

The lll_unlock function is supposed to be a memory barrier.

The function is usually an explicit atomic operation, or a volatile
asm implementing the futex syscall i.e. INTERNAL_SYSCALL macro.

Cheers,
Carlos.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Mon, 27 Oct 2008 15:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Haley <aph@redhat.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 27 Oct 2008 15:30:04 GMT) Full text and rfc822 format available.

Message #37 received at 479952@bugs.debian.org (full text, mbox):

From: Andrew Haley <aph@redhat.com>
To: "Carlos O'Donell" <carlos@systemhalted.org>
Cc: Julien Danjou <acid@debian.org>, 479952@bugs.debian.org, Aurelien Jarno <aurelien@aurel32.net>, Matthias Klose <doko@cs.tu-berlin.de>, Adam C Powell IV <hazelsct@debian.org>, debian-java@lists.debian.org, debian-s390@lists.debian.org
Subject: Re: Bug#479952: libc6/s390 - __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 27 Oct 2008 15:27:01 +0000
Carlos O'Donell wrote:
> On Mon, Oct 27, 2008 at 10:05 AM, Andrew Haley <aph@redhat.com> wrote:
>>> I've seen this on-and-off again on the hppa-linux port. The issue has,
>>> in my experience, been a compiler problem. My standard operating
>>> procedure is to methodically add volatile to the atomic.h operations
>>> until it goes away, and then work out the compiler mis-optimization.
>>>
>>> The bug is almost always a situation where the lll_unlock is scheduled
>>> before owner = 0, and the assert catches the race condition where you
>>> unlock but have not yet cleared the owner.
>> Are you sure this is a compiler problem?  Unless you use explicit atomic
>> memory accesses or volatile the compiler is supposed to re-order memory
>> access.  Perhaps I'm misunderstanding you.
> 
> Sorry, parsing the above statement requires knowing something about
> how lll_unlock is implemented in glibc.
> 
> The lll_unlock function is supposed to be a memory barrier.
> 
> The function is usually an explicit atomic operation, or a volatile
> asm implementing the futex syscall i.e. INTERNAL_SYSCALL macro.

I understand all that, but the question still stands: is the compiler
really moving a memory write past a memory barrier?  ISTR we did have
a discussion on gcc-list about that, but it was a while ago and should
now be fixed.

Andrew.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Mon, 27 Oct 2008 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Carlos O'Donell" <carlos@systemhalted.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 27 Oct 2008 16:18:02 GMT) Full text and rfc822 format available.

Message #42 received at 479952@bugs.debian.org (full text, mbox):

From: "Carlos O'Donell" <carlos@systemhalted.org>
To: "Andrew Haley" <aph@redhat.com>
Cc: "Julien Danjou" <acid@debian.org>, 479952@bugs.debian.org, "Aurelien Jarno" <aurelien@aurel32.net>, "Matthias Klose" <doko@cs.tu-berlin.de>, "Adam C Powell IV" <hazelsct@debian.org>, debian-java@lists.debian.org, debian-s390@lists.debian.org
Subject: Re: Bug#479952: libc6/s390 - __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 27 Oct 2008 12:15:37 -0400
On Mon, Oct 27, 2008 at 11:27 AM, Andrew Haley <aph@redhat.com> wrote:
> I understand all that, but the question still stands: is the compiler
> really moving a memory write past a memory barrier?  ISTR we did have
> a discussion on gcc-list about that, but it was a while ago and should
> now be fixed.

This issue no longer affects the PA port, but I can't speak for s390.

The PA port is the only port for which I do regular gcc / glibc testing.

Cheers,
Carlos.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Mon, 27 Oct 2008 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 27 Oct 2008 19:03:03 GMT) Full text and rfc822 format available.

Message #47 received at 479952@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Moritz Muehlenhoff <jmm@inutil.org>, Martin Schwidefsky <schwidefsky@de.ibm.com>
Cc: Pierre Habouzit <madcoder@debian.org>, 468793@bugs.debian.org, 479952@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 27 Oct 2008 19:59:19 +0100
[Message part 1 (text/plain, inline)]
At 1225129482 time_t, Moritz Muehlenhoff wrote:
> Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.

Why not.

Martin, do you have any clue about bug #479952?

http://bugs.debian.org/479952

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Thu, 30 Oct 2008 12:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to schwidefsky@de.ibm.com:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 30 Oct 2008 12:48:08 GMT) Full text and rfc822 format available.

Message #52 received at 479952@bugs.debian.org (full text, mbox):

From: Martin Schwidefsky <schwidefsky@de.ibm.com>
To: Julien Danjou <acid@debian.org>
Cc: Moritz Muehlenhoff <jmm@inutil.org>, Pierre Habouzit <madcoder@debian.org>, 468793@bugs.debian.org, 479952@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Thu, 30 Oct 2008 13:44:35 +0100
On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> 
> Why not.
> 
> Martin, do you have any clue about bug #479952?
> 
> http://bugs.debian.org/479952

This does look familiar, I've seen this some years ago with broken
locking primivites in the nptl lowlevellock implementation. Could you
check your copy of glibc to verify if the locking inline assemblies in
nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
clobber? This has been the bug last time. Just for information I'm
currently on travel and will read my mail only randomly.

-- 
blue skies,
  Martin.

"Reality continues to ruin my life." - Calvin.





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Thu, 30 Oct 2008 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 30 Oct 2008 13:15:04 GMT) Full text and rfc822 format available.

Message #57 received at 479952@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: Martin Schwidefsky <schwidefsky@de.ibm.com>
Cc: Julien Danjou <acid@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org, 479952@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Thu, 30 Oct 2008 14:12:12 +0100
[Message part 1 (text/plain, inline)]
On Thu, Oct 30, 2008 at 12:44:35PM +0000, Martin Schwidefsky wrote:
> On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> > At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> > 
> > Why not.
> > 
> > Martin, do you have any clue about bug #479952?
> > 
> > http://bugs.debian.org/479952
> 
> This does look familiar, I've seen this some years ago with broken
> locking primivites in the nptl lowlevellock implementation. Could you
> check your copy of glibc to verify if the locking inline assemblies in
> nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
> clobber? This has been the bug last time. Just for information I'm
> currently on travel and will read my mail only randomly.

They all have the memory constraint.

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Mon, 03 Nov 2008 10:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to schwidefsky@de.ibm.com:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 03 Nov 2008 10:42:16 GMT) Full text and rfc822 format available.

Message #62 received at 479952@bugs.debian.org (full text, mbox):

From: Martin Schwidefsky <schwidefsky@de.ibm.com>
To: Pierre Habouzit <madcoder@debian.org>
Cc: Julien Danjou <acid@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org, 479952@bugs.debian.org
Subject: Re: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 03 Nov 2008 10:59:28 +0100
On Thu, 2008-10-30 at 14:12 +0100, Pierre Habouzit wrote:
> On Thu, Oct 30, 2008 at 12:44:35PM +0000, Martin Schwidefsky wrote:
> > On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> > > At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > > > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > > > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> > > 
> > > Why not.
> > > 
> > > Martin, do you have any clue about bug #479952?
> > > 
> > > http://bugs.debian.org/479952
> > 
> > This does look familiar, I've seen this some years ago with broken
> > locking primivites in the nptl lowlevellock implementation. Could you
> > check your copy of glibc to verify if the locking inline assemblies in
> > nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
> > clobber? This has been the bug last time. Just for information I'm
> > currently on travel and will read my mail only randomly.
> 
> They all have the memory constraint.

In the meantime Michael Matz from Novell found the problem: the
__lll_lock Funktion uses atomic_compare_and_exchange_bool_acq which uses
the __arch_compare_and_exchange_val_32_acq function which does NOT have
a "memory" clobber. The patch below should fix the problem

-- 
blue skies,
  Martin.

"Reality continues to ruin my life." - Calvin.

---
diff -urpN libc/sysdeps/s390/bits/atomic.h libc-s390/sysdeps/s390/bits/atomic.h
--- libc/sysdeps/s390/bits/atomic.h	2003-05-05 20:20:54.000000000 +0200
+++ libc-s390/sysdeps/s390/bits/atomic.h	2008-11-03 10:56:20.000000000 +0100
@@ -56,7 +56,7 @@ typedef uintmax_t uatomic_max_t;
      __typeof (*mem) __archold = (oldval);				      \
      __asm __volatile ("cs %0,%2,%1"					      \
 		       : "+d" (__archold), "=Q" (*__archmem)		      \
-		       : "d" (newval), "m" (*__archmem) : "cc" );	      \
+		       : "d" (newval), "m" (*__archmem) : "cc", "memory" );   \
      __archold; })
 
 #ifdef __s390x__
@@ -65,7 +65,8 @@ typedef uintmax_t uatomic_max_t;
      __typeof (*mem) __archold = (oldval);				      \
      __asm __volatile ("csg %0,%2,%1"					      \
 		       : "+d" (__archold), "=Q" (*__archmem)		      \
-		       : "d" ((long) (newval)), "m" (*__archmem) : "cc" );    \
+		       : "d" ((long) (newval)), "m" (*__archmem)	      \
+		       : "cc", "memory" );				      \
      __archold; })
 #else
 /* For 31 bit we do not really need 64-bit compare-and-exchange. We can






Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Mon, 03 Nov 2008 14:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre Habouzit <madcoder@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 03 Nov 2008 14:03:05 GMT) Full text and rfc822 format available.

Message #67 received at 479952@bugs.debian.org (full text, mbox):

From: Pierre Habouzit <madcoder@debian.org>
To: schwidefsky@de.ibm.com, 479952@bugs.debian.org
Cc: Julien Danjou <acid@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org
Subject: Re: Bug#479952: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Mon, 03 Nov 2008 15:01:48 +0100
[Message part 1 (text/plain, inline)]
reassign 468793 glibc
forcemerge 479952 468793
thanks

On Mon, Nov 03, 2008 at 09:59:28AM +0000, Martin Schwidefsky wrote:
> On Thu, 2008-10-30 at 14:12 +0100, Pierre Habouzit wrote:
> > On Thu, Oct 30, 2008 at 12:44:35PM +0000, Martin Schwidefsky wrote:
> > > On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> > > > At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > > > > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > > > > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> > > > 
> > > > Why not.
> > > > 
> > > > Martin, do you have any clue about bug #479952?
> > > > 
> > > > http://bugs.debian.org/479952
> > > 
> > > This does look familiar, I've seen this some years ago with broken
> > > locking primivites in the nptl lowlevellock implementation. Could you
> > > check your copy of glibc to verify if the locking inline assemblies in
> > > nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
> > > clobber? This has been the bug last time. Just for information I'm
> > > currently on travel and will read my mail only randomly.
> > 
> > They all have the memory constraint.
> 
> In the meantime Michael Matz from Novell found the problem: the
> __lll_lock Funktion uses atomic_compare_and_exchange_bool_acq which uses
> the __arch_compare_and_exchange_val_32_acq function which does NOT have
> a "memory" clobber. The patch below should fix the problem

Wonderful, thanks a lot to him !

-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Mon, 03 Nov 2008 23:42:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 03 Nov 2008 23:42:18 GMT) Full text and rfc822 format available.

Message #72 received at 479952@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: schwidefsky@de.ibm.com, 479952@bugs.debian.org
Cc: Pierre Habouzit <madcoder@debian.org>, Julien Danjou <acid@debian.org>, Moritz Muehlenhoff <jmm@inutil.org>, 468793@bugs.debian.org
Subject: Re: Bug#479952: Bug#468793: tokyocabinet - FTBFS: pthread_mutex_lock.c:71: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
Date: Tue, 4 Nov 2008 00:40:53 +0100
On Mon, Nov 03, 2008 at 10:59:28AM +0100, Martin Schwidefsky wrote:
> On Thu, 2008-10-30 at 14:12 +0100, Pierre Habouzit wrote:
> > On Thu, Oct 30, 2008 at 12:44:35PM +0000, Martin Schwidefsky wrote:
> > > On Mon, 2008-10-27 at 19:59 +0100, Julien Danjou wrote:
> > > > At 1225129482 time_t, Moritz Muehlenhoff wrote:
> > > > > Maybe we could forward this bug to Martin Schwidefsky <schwidefsky@de.ibm.com>,
> > > > > who is the glibc s390 maintainer and who works for IBM on the s390 Linux port.
> > > > 
> > > > Why not.
> > > > 
> > > > Martin, do you have any clue about bug #479952?
> > > > 
> > > > http://bugs.debian.org/479952
> > > 
> > > This does look familiar, I've seen this some years ago with broken
> > > locking primivites in the nptl lowlevellock implementation. Could you
> > > check your copy of glibc to verify if the locking inline assemblies in
> > > nptl/sysdeps/unix/sysv/linux/s390/lowlevellock.h all have the "memory"
> > > clobber? This has been the bug last time. Just for information I'm
> > > currently on travel and will read my mail only randomly.
> > 
> > They all have the memory constraint.
> 
> In the meantime Michael Matz from Novell found the problem: the
> __lll_lock Funktion uses atomic_compare_and_exchange_bool_acq which uses
> the __arch_compare_and_exchange_val_32_acq function which does NOT have
> a "memory" clobber. The patch below should fix the problem
> 

I confirm that it works, thanks a lot!

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Tags added: pending Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Mon, 03 Nov 2008 23:42:19 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 04 Nov 2008 18:54:08 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Tue, 04 Nov 2008 18:54:10 GMT) Full text and rfc822 format available.

Message #79 received at 479952-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 479952-close@bugs.debian.org
Subject: Bug#479952: fixed in glibc 2.7-16
Date: Tue, 04 Nov 2008 18:47:09 +0000
Source: glibc
Source-Version: 2.7-16

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.7-16_all.deb
  to pool/main/g/glibc/glibc-doc_2.7-16_all.deb
glibc-source_2.7-16_all.deb
  to pool/main/g/glibc/glibc-source_2.7-16_all.deb
glibc_2.7-16.diff.gz
  to pool/main/g/glibc/glibc_2.7-16.diff.gz
glibc_2.7-16.dsc
  to pool/main/g/glibc/glibc_2.7-16.dsc
libc6-dbg_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-dbg_2.7-16_amd64.deb
libc6-dev-i386_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-dev-i386_2.7-16_amd64.deb
libc6-dev_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-dev_2.7-16_amd64.deb
libc6-i386_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-i386_2.7-16_amd64.deb
libc6-pic_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-pic_2.7-16_amd64.deb
libc6-prof_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6-prof_2.7-16_amd64.deb
libc6-udeb_2.7-16_amd64.udeb
  to pool/main/g/glibc/libc6-udeb_2.7-16_amd64.udeb
libc6_2.7-16_amd64.deb
  to pool/main/g/glibc/libc6_2.7-16_amd64.deb
libnss-dns-udeb_2.7-16_amd64.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.7-16_amd64.udeb
libnss-files-udeb_2.7-16_amd64.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.7-16_amd64.udeb
locales-all_2.7-16_amd64.deb
  to pool/main/g/glibc/locales-all_2.7-16_amd64.deb
locales_2.7-16_all.deb
  to pool/main/g/glibc/locales_2.7-16_all.deb
nscd_2.7-16_amd64.deb
  to pool/main/g/glibc/nscd_2.7-16_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 04 Nov 2008 16:31:04 +0100
Source: glibc
Binary: glibc-doc glibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.7-16
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 glibc-source - GNU C Library: sources
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: Libraries with debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: Libraries with debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: Libraries with debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 468793 479952 495007 503182
Changes: 
 glibc (2.7-16) unstable; urgency=low
 .
   * patches/any/cvs-rpcgen-makefile.diff: new patch from upstream to fix
     fancy Makefile filename when using rpcgen -a.  Closes: bug#503182.
   * patches/s390/local-atomic.diff: new patch from Michael Matz to fix
     atomic lock on s390.  Closes: bug#468793, bug#479952.
   * patches/any/cvs-gai-stacksize.diff new patch from upstream to fix
     getaddrinfo_a segfaults.  Closes: bug#495007.
   * debhelper.in/locales.config: use previous debconf settings if
     /etc/locales does not exists.
Checksums-Sha1: 
 b832cded5fe1288159b353c4559c3abdd1d81307 2540 glibc_2.7-16.dsc
 1f70857914764eafae0e30d1ac1dd1028b635359 745920 glibc_2.7-16.diff.gz
 d68cad012cd0d9a67bef60119a9e49f8b4d5bf42 1628692 glibc-doc_2.7-16_all.deb
 bc5b5fbe9ebb0eb1a88bf66ac07422893a3765a6 16003980 glibc-source_2.7-16_all.deb
 e7c922d0959391cb41fbc9d71802b40d8f36e423 4491318 locales_2.7-16_all.deb
 e85f1eb59b7f38628d29c39d11fcdccc5501f38f 4936850 libc6_2.7-16_amd64.deb
 404d314716ecd9d2b8a09a6a75185ba6cc73032e 2497686 libc6-dev_2.7-16_amd64.deb
 6be548a428bed762545400201b3d47dcc0205cad 1930468 libc6-prof_2.7-16_amd64.deb
 e6cfce8a2db9889c23461433d80f26b088cbc1a5 1466030 libc6-pic_2.7-16_amd64.deb
 610090f7e3aacc1795ae4b2a7691a97c00d05e01 2727982 locales-all_2.7-16_amd64.deb
 267117d7cc1853765b2239f9c3a1574c2418f837 3767324 libc6-i386_2.7-16_amd64.deb
 179d6bcbd832cb09a5e380621852af502b5dfcdb 1460396 libc6-dev-i386_2.7-16_amd64.deb
 28dac0f83fc869aa6820edd63fd53adb8795e51b 174692 nscd_2.7-16_amd64.deb
 13562cb637e75db2caacbac1b14f76ff44202bac 5328576 libc6-dbg_2.7-16_amd64.deb
 0a3da82bd43689becf7906e1868e1af65881134e 1106876 libc6-udeb_2.7-16_amd64.udeb
 151fa49c3b5e51db41d314e71b2f2dbdeff2ba1e 9412 libnss-dns-udeb_2.7-16_amd64.udeb
 f32e5e4863720c011831c662495f7e0f205b5f1b 18380 libnss-files-udeb_2.7-16_amd64.udeb
Checksums-Sha256: 
 c2ec15e3a2df4cb5755046a846d9b313ade96bae83ce7c1024da22d15e12fdaa 2540 glibc_2.7-16.dsc
 b5bad93b1b4affe2a7a99ef96af7f99c1e30c79555c077f181eb673d5db50160 745920 glibc_2.7-16.diff.gz
 3280bd37b4c4f22d28ae3df092ed38b224ee6b5bab15555435b3f2f3571925d5 1628692 glibc-doc_2.7-16_all.deb
 11f1e5eade68824217b90f82fbc8a8612cd8e791776f263d56886921d50729ac 16003980 glibc-source_2.7-16_all.deb
 1a248bbff3ec89aee8a1de62133cb991e645f57033b8236802fa35ca4e8f83ba 4491318 locales_2.7-16_all.deb
 031fcbd5805deb0b56542bd0352399c823d5c25070440d341c8c3ba21bd01604 4936850 libc6_2.7-16_amd64.deb
 ce6006ce0a71434b0e9a4d0b9674b2e2054250b9d5fd27ca910b20f502bf8d04 2497686 libc6-dev_2.7-16_amd64.deb
 cc24e5980e0340d8fd395a4cecefe3e9ff600c994cb0999ac08b5d851237149f 1930468 libc6-prof_2.7-16_amd64.deb
 c31d171c568dc801bef2c7e0b715a05fe9b389453e7ab8ac2fdbc12ceb1c9bba 1466030 libc6-pic_2.7-16_amd64.deb
 602ea688fb1d64ac0468964530b494e1d89ff9ab152bec0372dd8bafb1b65c53 2727982 locales-all_2.7-16_amd64.deb
 9808cb5d1cc687fabb73385bedcb0e202f7d07709da34577d0027c53f479d074 3767324 libc6-i386_2.7-16_amd64.deb
 499def14f0a2bdc5605d6fe87cc00d6e96240c91f6594570fee7c48ef2434513 1460396 libc6-dev-i386_2.7-16_amd64.deb
 5a46a7b2d9b4d461613b06717d3d511e610c678cf4fb2c1ad45d14597ce17cdc 174692 nscd_2.7-16_amd64.deb
 2f121fd4ab6acf87c7d98d096df0388d7ce4bc7e3ba5cddb82311811d6462f6c 5328576 libc6-dbg_2.7-16_amd64.deb
 42d76a8926b7a64ea8d068cd8ea492e40ee72b499f457b2c05e350330c81287b 1106876 libc6-udeb_2.7-16_amd64.udeb
 4268a652c1a727f7b3fd57daaea62ca688e13b5101d8ce9e8f562227e74be8a2 9412 libnss-dns-udeb_2.7-16_amd64.udeb
 de2f83f5c7dbf46f48d3e9045162378571722504b97cae90bbc19d9bcfd267f8 18380 libnss-files-udeb_2.7-16_amd64.udeb
Files: 
 390cb89c769c082ff0c4a8f9b828cf4c 2540 libs required glibc_2.7-16.dsc
 5685f6e153b446c056722b8c0c9cdc73 745920 libs required glibc_2.7-16.diff.gz
 52b868cd83ce34d8470238ff36d1842e 1628692 doc optional glibc-doc_2.7-16_all.deb
 e010d4ee3db5f88b0f962114d86c1580 16003980 devel optional glibc-source_2.7-16_all.deb
 2314d726019789705ad0b0fbc54b00ee 4491318 libs standard locales_2.7-16_all.deb
 cdac1785f24f1e39bbe0acd4bc5792df 4936850 libs required libc6_2.7-16_amd64.deb
 306e25949ee2b76c0181e560ac88e184 2497686 libdevel optional libc6-dev_2.7-16_amd64.deb
 31728765394757e4c0df5c6640295885 1930468 libdevel extra libc6-prof_2.7-16_amd64.deb
 58caa9fe7e01c24340f3ac0fed214edb 1466030 libdevel optional libc6-pic_2.7-16_amd64.deb
 b487a7e2689600a34a495f7de85f89d2 2727982 libs extra locales-all_2.7-16_amd64.deb
 697c76a00814012e266911578e232061 3767324 libs optional libc6-i386_2.7-16_amd64.deb
 f14d00a13b26966c258336ab11c2952e 1460396 libdevel optional libc6-dev-i386_2.7-16_amd64.deb
 c8b2881d7360b66886c84614487efa70 174692 admin optional nscd_2.7-16_amd64.deb
 4a6064ff80c88160b96c8c94898ff323 5328576 libdevel extra libc6-dbg_2.7-16_amd64.deb
 9b8ae8c7f65a7b77e69725c62c60e8ec 1106876 debian-installer extra libc6-udeb_2.7-16_amd64.udeb
 1eac5ef1c1a407643cb2cf1d04217a72 9412 debian-installer extra libnss-dns-udeb_2.7-16_amd64.udeb
 ea990bac126c19113a69a27a0f800867 18380 debian-installer extra libnss-files-udeb_2.7-16_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJEJNCw3ao2vG823MRAn/sAJ93+pUJSConjCjER4JsyTqN7417qQCeOzgv
wk6Goxx/gOe2s/RWXbPmjCo=
=Kcqc
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Dec 2008 07:28:27 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 27 Jan 2009 14:18:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Tue, 27 Jan 2009 14:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 27 Jan 2009 14:21:02 GMT) Full text and rfc822 format available.

Message #88 received at 479952@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 479952@bugs.debian.org
Subject: not fixed
Date: Tue, 27 Jan 2009 15:19:32 +0100
[Message part 1 (text/plain, inline)]
found 479952 2.7-18
thanks

I'm afraid but this is not fixed completely:

| $ dchroot-dsa sid
| dchroot-dsa: pthread_mutex_lock.c:87: __pthread_mutex_lock: Assertion `mutex->__data.__owner == 0' failed.
| zsh: abort      dchroot-dsa sid
| $ COLUMNS=72 dpkg -l libc6
| Desired=Unknown/Install/Remove/Purge/Hold
| | Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
| |/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
| ||/ Name           Version        Description
| +++-==============-==============-============================================
| ii  libc6          2.7-18         GNU C Library: Shared libraries
| $ strace -e open dchroot-dsa sid |& grep libc
| open("/lib/libc.so.6", O_RDONLY)        = 3

Bastian

-- 
The heart is not a logical organ.
		-- Dr. Janet Wallace, "The Deadly Years", stardate 3479.4
[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 2.7-18 and reopened. Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 27 Jan 2009 14:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, will.murnane@gmail.com, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Sat, 25 Jul 2009 06:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Murnane <will.murnane@gmail.com>:
Extra info received and forwarded to list. Copy sent to will.murnane@gmail.com, GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 25 Jul 2009 06:15:03 GMT) Full text and rfc822 format available.

Message #95 received at 479952@bugs.debian.org (full text, mbox):

From: Will Murnane <will.murnane@gmail.com>
To: Debian Bug Tracking System <479952@bugs.debian.org>
Subject: libc6: Also in x86_64?
Date: Sat, 25 Jul 2009 02:11:51 -0400
Package: libc6
Version: 2.9-21
Severity: normal

I wrote a program that uses pthreads to accomplish work, and hit this bug in it.  It works properly on Rhel5, so I'm pretty sure it's libc at fault.

Full source code available on request.  Basically, though, the problem comes when many threads are fighting for a mutex, and doing very little work between trying to obtain the lock.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libc6 depends on:
ii  libgcc1                       1:4.4.1-1  GCC support library

libc6 recommends no packages.

Versions of packages libc6 suggests:
pn  glibc-doc                     <none>     (no description available)
ii  locales                       2.9-21     GNU C Library: National Language (

-- debconf information:
* glibc/upgrade: true
  glibc/disable-screensaver:
  glibc/restart-failed:
* glibc/restart-services: rsync openbsd-inetd exim4 cups cron atd autofs




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Sat, 25 Jul 2009 07:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 25 Jul 2009 07:39:07 GMT) Full text and rfc822 format available.

Message #100 received at 479952@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Will Murnane <will.murnane@gmail.com>, 479952@bugs.debian.org
Subject: Re: Bug#479952: libc6: Also in x86_64?
Date: Sat, 25 Jul 2009 09:32:42 +0200
On Sat, Jul 25, 2009 at 02:11:51AM -0400, Will Murnane wrote:
> Package: libc6
> Version: 2.9-21
> Severity: normal
> 
> I wrote a program that uses pthreads to accomplish work, and hit this bug in it.  It works properly on Rhel5, so I'm pretty sure it's libc at fault.
> 
> Full source code available on request.  Basically, though, the problem comes when many threads are fighting for a mutex, and doing very little work between trying to obtain the lock.
> 

If you have a small code to reproduce the problem, it will be highly
appreciated.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Sat, 25 Jul 2009 16:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Will Murnane <will.murnane@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 25 Jul 2009 16:48:02 GMT) Full text and rfc822 format available.

Message #105 received at 479952@bugs.debian.org (full text, mbox):

From: Will Murnane <will.murnane@gmail.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 479952@bugs.debian.org
Subject: Re: Bug#479952: libc6: Also in x86_64?
Date: Sat, 25 Jul 2009 12:46:40 -0400
[Message part 1 (text/plain, inline)]
On Sat, Jul 25, 2009 at 03:32, Aurelien Jarno<aurelien@aurel32.net> wrote:
> On Sat, Jul 25, 2009 at 02:11:51AM -0400, Will Murnane wrote:
>> Package: libc6
>> Version: 2.9-21
>> Severity: normal
>>
>> I wrote a program that uses pthreads to accomplish work, and hit this bug in it.  It works properly on Rhel5, so I'm pretty sure it's libc at fault.
>>
>> Full source code available on request.  Basically, though, the problem comes when many threads are fighting for a mutex, and doing very little work between trying to obtain the lock.
>>
>
> If you have a small code to reproduce the problem, it will be highly
> appreciated.
Attached is break_pthreads.cpp.  Compile with
g++ -g -Wall -Werror -pipe -O3 -Wno-deprecated break_pthreads.cpp -o
break_pthreads.o -c
g++ -g -pthread break_pthreads.o -o break_pthreads

Now run it and it crashes:
break_pthreads: pthread_mutex_lock.c:87: __pthread_mutex_lock:
Assertion `mutex->__data.__owner == 0' failed.
Aborted

Will
[break_pthreads.cpp (text/x-c++src, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Sat, 25 Jul 2009 20:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 25 Jul 2009 20:18:02 GMT) Full text and rfc822 format available.

Message #110 received at 479952@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Will Murnane <will.murnane@gmail.com>
Cc: 479952@bugs.debian.org
Subject: Re: Bug#479952: libc6: Also in x86_64?
Date: Sat, 25 Jul 2009 22:15:07 +0200
On Sat, Jul 25, 2009 at 12:46:40PM -0400, Will Murnane wrote:
> On Sat, Jul 25, 2009 at 03:32, Aurelien Jarno<aurelien@aurel32.net> wrote:
> > On Sat, Jul 25, 2009 at 02:11:51AM -0400, Will Murnane wrote:
> >> Package: libc6
> >> Version: 2.9-21
> >> Severity: normal
> >>
> >> I wrote a program that uses pthreads to accomplish work, and hit this bug in it.  It works properly on Rhel5, so I'm pretty sure it's libc at fault.
> >>
> >> Full source code available on request.  Basically, though, the problem comes when many threads are fighting for a mutex, and doing very little work between trying to obtain the lock.
> >>
> >
> > If you have a small code to reproduce the problem, it will be highly
> > appreciated.
> Attached is break_pthreads.cpp.  Compile with
> g++ -g -Wall -Werror -pipe -O3 -Wno-deprecated break_pthreads.cpp -o
> break_pthreads.o -c
> g++ -g -pthread break_pthreads.o -o break_pthreads
> 
> Now run it and it crashes:
> break_pthreads: pthread_mutex_lock.c:87: __pthread_mutex_lock:
> Assertion `mutex->__data.__owner == 0' failed.
> Aborted
> 

This bug is reproducible with glibc 2.9, but fortunately not with glibc
2.10, that should be uploaded in the archive in a few weeks.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Tue, 18 Aug 2009 23:33:07 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Tue, 18 Aug 2009 23:33:07 GMT) Full text and rfc822 format available.

Message #115 received at 479952-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 479952-close@bugs.debian.org
Subject: Bug#479952: fixed in eglibc 2.10.1-0exp1
Date: Tue, 18 Aug 2009 23:05:11 +0000
Source: eglibc
Source-Version: 2.10.1-0exp1

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.10.1-0exp1_all.deb
  to pool/main/e/eglibc/eglibc-source_2.10.1-0exp1_all.deb
eglibc_2.10.1-0exp1.diff.gz
  to pool/main/e/eglibc/eglibc_2.10.1-0exp1.diff.gz
eglibc_2.10.1-0exp1.dsc
  to pool/main/e/eglibc/eglibc_2.10.1-0exp1.dsc
eglibc_2.10.1.orig.tar.gz
  to pool/main/e/eglibc/eglibc_2.10.1.orig.tar.gz
glibc-doc_2.10.1-0exp1_all.deb
  to pool/main/e/eglibc/glibc-doc_2.10.1-0exp1_all.deb
libc-bin_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/libc-bin_2.10.1-0exp1_amd64.deb
libc-dev-bin_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/libc-dev-bin_2.10.1-0exp1_amd64.deb
libc6-dbg_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/libc6-dbg_2.10.1-0exp1_amd64.deb
libc6-dev-i386_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/libc6-dev-i386_2.10.1-0exp1_amd64.deb
libc6-dev_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/libc6-dev_2.10.1-0exp1_amd64.deb
libc6-i386_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/libc6-i386_2.10.1-0exp1_amd64.deb
libc6-pic_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/libc6-pic_2.10.1-0exp1_amd64.deb
libc6-prof_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/libc6-prof_2.10.1-0exp1_amd64.deb
libc6-udeb_2.10.1-0exp1_amd64.udeb
  to pool/main/e/eglibc/libc6-udeb_2.10.1-0exp1_amd64.udeb
libc6_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/libc6_2.10.1-0exp1_amd64.deb
libnss-dns-udeb_2.10.1-0exp1_amd64.udeb
  to pool/main/e/eglibc/libnss-dns-udeb_2.10.1-0exp1_amd64.udeb
libnss-files-udeb_2.10.1-0exp1_amd64.udeb
  to pool/main/e/eglibc/libnss-files-udeb_2.10.1-0exp1_amd64.udeb
locales-all_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/locales-all_2.10.1-0exp1_amd64.deb
locales_2.10.1-0exp1_all.deb
  to pool/main/e/eglibc/locales_2.10.1-0exp1_all.deb
nscd_2.10.1-0exp1_amd64.deb
  to pool/main/e/eglibc/nscd_2.10.1-0exp1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 Aug 2009 21:43:59 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.10.1-0exp1
Distribution: experimental
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - GNU C Library: Documentation
 libc-bin   - GNU C Library: Binaries
 libc-dev-bin - GNU C Library: Development binaries
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: detached debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: detached debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: detached debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: detached debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 479952 496763 511474 519479 533077 539950
Changes: 
 eglibc (2.10.1-0exp1) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release.
     - Fix C++ declaration of string functions.  Closes: #496763.
     - Add Handling for group shadow files.  Closes: #519479.
     - Use AT_RANDOM for randomized stack protector value.  Closes:
       #533077.
     - don't trigger assertion on __pthread_mutex_lock anymore.  Closes:
       #479952.
     - fix week specifier in en_GB.  Closes: #511474.
     - debian/copyright, debian/*symbols*, debian/shlibver,
       debian/locales-depver, debian/debhelper.in/*.lintian: upgrade
       to 2.10.
     - alpha has been moved to ports, update debian/sysdeps/alpha.mk and
       debian/patches/alpha/* accordingly.
     - Remove debian/patches/arm/submitted-setjmp.diff (merged).
     - Remove debian/patches/arm/submitted-fpu_control_h.diff (merged).
     - Remove debian/patches/hppa/cvs-tsd.diff (merged).
     - Remove debian/patches/hppa/cvs-nptl.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-resource-prio.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-hurdsig-fix.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-net-headers.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-report-wait-fix.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-get_pc_thunk.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-strerror_l.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-rtld.diff (merged).
     - Update debian/patches/hurd-i386/local-tls-support.diff.
     - Update debian/patches/hurd-i386/submitted-extern_inline.diff.
     - Update debian/patches/hurd-i386/local-atomic-no-multiple_threads.diff.
     - Remove debian/patches/mips/cvs-context.diff (merged).
     - Remove debian/patches/sparc/cvs-siginfo.diff (merged).
     - Remove debian/patches/all/submitted-readme-version.diff (merged).
     - Remove debian/patches/any/submitted-install-map-files.diff (merged).
     - Remove debian/patches/any/cvs-pthread_h.diff (merged).
     - Remove debian/patches/any/local-bashisms.diff (merged).
     - Remove debian/patches/any/cvs-bz7058-nss_nss-nis.diff (merged).
     - Remove debian/patches/any/cvs-iconv-utf16.diff (merged).
     - Remove debian/patches/any/submitted-cross-zic.diff (merged).
     - Remove debian/patches/any/cvs-binutils_2.20.diff (merged).
     - Remove debian/patches/any/submitted-nss-nsswitch.diff (merged).
     - Remove debian/patches/any/cvs-bz9706-nss_nss-files_files-parse.diff
       (merged).
     - Update debian/patches/any/cvs-broken-dns.diff.
     - Remove debian/patches/any/cvs-bz9697-posix-regcomp.diff (merged).
     - Remove debian/patches/any/cvs-bz697-posix-regexec.diff (merged).
     - Remove debian/patches/any/submitted-broken-dns.diff (merged).
     - Remove debian/patches/any/submitted-mount_h.diff (merged).
     - Update debian/patches/any/submitted-futex_robust_pi.diff.
     - Update debian/patches/any/local-dynamic-resolvconf.diff.
     - Update debian/patches/any/local-libgcc-compat-main.diff.
     - Update debian/patches/any/local-libgcc-compat-ports.diff.
     - Update debian/patches/any/local-no-pagesize.diff.
     - Remove debian/patches/any/submitted-date-and-unknown-tz.diff (merged).
     - Remove debian/patches/any/cvs-sunrpc-license.diff (merged).
     - Remove debian/patches/any/submitted-tst-cpucount.diff (merged).
     - Remove debian/patches/any/submitted-signalfd-eventfd.diff (merged).
     - Remove debian/patches/localedata/mt_MT_euro.diff (merged).
     - Remove debian/patches/localedata/submitted-bz9731-el_CY_euro.diff
       (merged).
     - Remove debian/patches/localedata/sk_SK_euro.diff (merged).
     - Remove debian/patches/localedata/submitted-bz9730-locale-sv_FI.diff
       (merged).
     - Remove debian/patches/localedata/cvs-el_CY-el_GR-frac_digits.diff
       (merged).
     - Update debian/patches/localedata/sort-UTF8-first.diff.
     - Update debian/patches/localedata/fr_CA-first_weekday.diff
     - Update debian/patches/localedata/fr_BE-first_weekday.diff
     - Update debian/patches/localedata/cy_GB-first_weekday.diff
     - Remove debian/patches/localedata/submitted-bz9835-en_GB-first_day.diff
       (merged).
     - Update debian/patches/localedata/first_weekday.diff
     - Update debian/patches/localedata/fr_LU-first_weekday.diff
     - Update debian/patches/localedata/fr_CH-first_weekday.diff
     - Remove debian/patches/sh4/cvs-headers-update.diff (merged).
     - Remove debian/patches/any/local-revert-3270.diff (fixed upstream).
   * Remove localedata/locale-fr_FR.diff as coreutils has been fixed.
   * Add debian/patches/any/submitted-autotools.diff to update config.guess
     and config.sub.
   * Remove debian/patches/powerpc/local-sysconf.diff, as it only concerns
     kernel that are not supported anymore.
   * Add debian/patches/ia64/submitted-sysconf.diff to fix sysconf() on ia64.
   * Add debian/patches/alpha/submitted-getsysstats.diff,
     debian/patches/alpha/submitted-includes.diff and
     debian/patches/alpha/submitted-lowlevellock.diff to partially fix FTBFS
     on alpha.
   * Add debian/patches/any/local-linuxthreads-unwind.diff to fix exception
     handling with linuxthreads.
   * Add debian/patches/any/cvs-nptl-init.diff to allow overwriting
     architectures init.c in csu and nptl individually.
   * Add debian/patches/any/submitted-accept4-hidden.diff to fix build
     on non Linux architectures.
   * Add debian/patches/kfreebsd/local-sysdeps-2.10.diff to update sysdeps
     for glibc 2.10 on GNU/kFreeBSD.
   * Add debian/patches/alpha/submitted-rtld-fPIC.diff to fix build on alpha.
   * Add debian/patches/any/submitted-getent-gshadow.diff to add gshadow
     support to getent.
   * Add hppa/local-hppa-nptl.diff and hppa/local-ports-hppa-nptl.diff from
     Carlos O'Donell to keep ABI compatibility between linuxthreads and NPTL
     on HPPA.
   * debian/rules.d/tarball.mk: store the checkout revision in the tarball
     (file .svn-revision).
   * debian/rules.d/tarball.mk: add an "update-from-upstream-svn" rule to
     automatically update debian/patches/svn-updates.diff.
   * patches/ia64/submitted-libm.diff: new patch to fix errors in the
     math testsuite on ia64.
   * Use gcc 4.4 by default, except on armel, hppa, mips, mipsel, sparc and
     hurd-i386.
   * Update to upstream revision 8758.
   * patches/any/submitted-missing-etc-hosts.diff: new patch from Steve
     Langasek to treat a missing /etc/hosts as a simple "not found", not as
     an internal error.  Closes: bug#539950.
 .
   [ Petr Salinger ]
   * Add kfreebsd/local-no-SOCK_NONBLOCK.diff to fix build on GNU/kFreeBSD.
 .
   [ Samuel Thibault ]
   * Add debian/patches/hurd-i386/local-_dl_random.diff to fix build on
     hurd-i386.
   * Add debian/patches/hurd-i386/local-unwind-resume.diff to fix build on
     hurd-i386.
   * Fix debian/patches/hurd-i386/local-tls-support.diff to align up includes
     on Linux, to fix build.
   * Apply kfreebsd/local-no-SOCK_NONBLOCK.diff on hurd-i386 to fix build too.
Checksums-Sha1: 
 d4e556221d2779baac90ef29b1fbd746d15cc972 2759 eglibc_2.10.1-0exp1.dsc
 76e65d1f7cd10fd34a5f110c9012b76c9233de2b 22499205 eglibc_2.10.1.orig.tar.gz
 3e0a24a876fba4e4e110bd32fd731882fd2f256f 768608 eglibc_2.10.1-0exp1.diff.gz
 77812d729e3eb4e470795f90e2839b518c2ba0bd 1810076 glibc-doc_2.10.1-0exp1_all.deb
 ccc1c758208147881f2e97b302f88c0092944789 11341094 eglibc-source_2.10.1-0exp1_all.deb
 6041ad710ab7c0577d9c3349336b7117852da20e 4746180 locales_2.10.1-0exp1_all.deb
 59bf07ce875de4a6840384c1825b33dcf7e741b9 4225490 libc6_2.10.1-0exp1_amd64.deb
 a8a66aca829506a25667680e3e1c32f5b8999d73 2539448 libc6-dev_2.10.1-0exp1_amd64.deb
 e42c19d77a8a34b204b3d29b63aa31b3bf5fb650 122810 libc6-prof_2.10.1-0exp1_amd64.deb
 9ac9c3f50af639ea7e17abaf5e1eced46917c7d8 1513794 libc6-pic_2.10.1-0exp1_amd64.deb
 7b610c7c60261f8ba74caf00d41da2fa697f6ee2 731290 libc-bin_2.10.1-0exp1_amd64.deb
 e42aa3f85036a0bd2f33a7f2bc5ec107c9f7b3f3 197528 libc-dev-bin_2.10.1-0exp1_amd64.deb
 923ef406946d37f4979e09da0655a4c0da4cf335 3059168 locales-all_2.10.1-0exp1_amd64.deb
 54726ce0d30175033eb61a518be8e16a74181cbe 3840064 libc6-i386_2.10.1-0exp1_amd64.deb
 52e56d7b8678a2d168da5fec6056647d7d097ea7 1536372 libc6-dev-i386_2.10.1-0exp1_amd64.deb
 33c4c3d82faa7546196ab1dfa991a18c91400d11 189868 nscd_2.10.1-0exp1_amd64.deb
 7f293ce94b5112d65b5557539e33a65fb1440a71 10244750 libc6-dbg_2.10.1-0exp1_amd64.deb
 dcd91625f81321da9a806a5c36e626eac95d671a 1134680 libc6-udeb_2.10.1-0exp1_amd64.udeb
 bbbd4ec2cb6975b5806982312411f7ded6dc47ac 11208 libnss-dns-udeb_2.10.1-0exp1_amd64.udeb
 741bf95969493bd97f46a5df9570864e6e0c4d5d 19554 libnss-files-udeb_2.10.1-0exp1_amd64.udeb
Checksums-Sha256: 
 7e7320df812c2a6bc29842ade5ee61d4e89348613250987b50638f549991f8bb 2759 eglibc_2.10.1-0exp1.dsc
 871a76e463e3b37bdff135860316d3e0b99ecdf74e46cb69ae5bc3e56d9ed210 22499205 eglibc_2.10.1.orig.tar.gz
 470428ea1183e2f42f95aea6b7bd6ccdd5dd960888713b16f969ac7f4f6a6b84 768608 eglibc_2.10.1-0exp1.diff.gz
 b3c95944cab5d6c5a9011fc4197b740a31b75bc0f5842f5d72d00492e6d33932 1810076 glibc-doc_2.10.1-0exp1_all.deb
 370440021e8f5a60b7f26141305583e0defd0c2a40432fb45c7ab56310a0e7c9 11341094 eglibc-source_2.10.1-0exp1_all.deb
 70c76c2cc10802998fd515a8c61f1191d711e0a228c7cbb75b787303966d4eed 4746180 locales_2.10.1-0exp1_all.deb
 dfdfd81b785f70c4804f0795e747e16d5803b4514e24617bc1eea76187817dd3 4225490 libc6_2.10.1-0exp1_amd64.deb
 78395389ec95a2a9d32576a233e36a985ddde0a15b756eaa67edd8b0d09e0d0d 2539448 libc6-dev_2.10.1-0exp1_amd64.deb
 ad29bbaf26aa922363db9c087a922a846ea04d3be94f2c78557ac8d2546ca9cc 122810 libc6-prof_2.10.1-0exp1_amd64.deb
 095863a52555d93f4fe8e21e31fae4380344ce08b268bfd1f67e85df30694cf3 1513794 libc6-pic_2.10.1-0exp1_amd64.deb
 85153bae4fdfc633ea2ac8187fa8d3ba5287178f6568ef922974c01be1472abf 731290 libc-bin_2.10.1-0exp1_amd64.deb
 0f70fc090ee9dc959acd423891b49d19eff9b7dabfff4ff46a6c35ccff9851ab 197528 libc-dev-bin_2.10.1-0exp1_amd64.deb
 5c1d6b0b9315d2f0b5355ca1118de2f5cd5504296f19e095975e57b5877d2e3e 3059168 locales-all_2.10.1-0exp1_amd64.deb
 30f7a0588c0d1c0b3f02ee8b018a385432a396949a7ce7a402012cdafbd304b8 3840064 libc6-i386_2.10.1-0exp1_amd64.deb
 c8d18694947c3c37011b8f28c98d0512b12a2ee6e708665a0ac1b12053bfa0cf 1536372 libc6-dev-i386_2.10.1-0exp1_amd64.deb
 96ea98a77fd03eaf4586daf81a8b565029fb7a7650481e9a2c56368107045a1f 189868 nscd_2.10.1-0exp1_amd64.deb
 9f378bd82436b5010e8b20121b06e938916fb8c9e581d0f4fe336b8b16ee558c 10244750 libc6-dbg_2.10.1-0exp1_amd64.deb
 b606598622148822820b8b80046b8a31a92c8a1543d07b17ec3eb698a0b6eb7d 1134680 libc6-udeb_2.10.1-0exp1_amd64.udeb
 814bc36bba790f77cd4cd610e41742d7c31ea9f12c1189a9178b046de8047a51 11208 libnss-dns-udeb_2.10.1-0exp1_amd64.udeb
 64d95470f7deb1f53cf8b0320e570d95778834e961bacb1394373e8242067237 19554 libnss-files-udeb_2.10.1-0exp1_amd64.udeb
Files: 
 2e73013084dd04abf6647574cf3868bd 2759 libs required eglibc_2.10.1-0exp1.dsc
 bb47b04d4546b44b140f6202f9f18032 22499205 libs required eglibc_2.10.1.orig.tar.gz
 c03036d657b2e9deec0cfa972213cdd2 768608 libs required eglibc_2.10.1-0exp1.diff.gz
 728bc14e511a2402fd5b21402d69216e 1810076 doc optional glibc-doc_2.10.1-0exp1_all.deb
 11373c55bdf4b51671b31d1dae378f6a 11341094 devel optional eglibc-source_2.10.1-0exp1_all.deb
 0f3e84b1f7b56f7834feaf4a78e0a530 4746180 libs standard locales_2.10.1-0exp1_all.deb
 2bdcf8bedb1557a1496648f3a5785f58 4225490 libs required libc6_2.10.1-0exp1_amd64.deb
 7713a07504defffee86d685ef5ed0892 2539448 libdevel optional libc6-dev_2.10.1-0exp1_amd64.deb
 a01c94237785a170a80ff9d435c16254 122810 libdevel extra libc6-prof_2.10.1-0exp1_amd64.deb
 d2b8a2051267f1482e2fe9ffd3797baf 1513794 libdevel optional libc6-pic_2.10.1-0exp1_amd64.deb
 f0a357b77a3f1bd9d5280e0b842a49dd 731290 libs required libc-bin_2.10.1-0exp1_amd64.deb
 b8fce89d8bfa1e77a071a86b801eebf7 197528 libdevel optional libc-dev-bin_2.10.1-0exp1_amd64.deb
 4581131807d16c16b2417e656c001fcb 3059168 libs extra locales-all_2.10.1-0exp1_amd64.deb
 9cafa7d34ae593534311a1914d05176a 3840064 libs optional libc6-i386_2.10.1-0exp1_amd64.deb
 6d9752ce2b771a998ef6882a124a02c9 1536372 libdevel optional libc6-dev-i386_2.10.1-0exp1_amd64.deb
 6573c51d2cbb29563a7b45568f22944b 189868 admin optional nscd_2.10.1-0exp1_amd64.deb
 2103919e4104ab8679a0d52c61f18e51 10244750 debug extra libc6-dbg_2.10.1-0exp1_amd64.deb
 f71f3429ce6c91000017e53406e95a32 1134680 debian-installer extra libc6-udeb_2.10.1-0exp1_amd64.udeb
 ae93fc18a7c43ba9e2ad6378480a7a4f 11208 debian-installer extra libnss-dns-udeb_2.10.1-0exp1_amd64.udeb
 71cc90aec5fdbdd9607458eb7cd90783 19554 debian-installer extra libnss-files-udeb_2.10.1-0exp1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKix6sw3ao2vG823MRArvrAJ9LBASfJ4oVY1EyBb2Ibqs9Ih3DrACeJLo4
WX27Mh2I2JK8BAbafA5fYQQ=
=PKRD
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#479952; Package libc6. (Fri, 04 Sep 2009 00:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ef <snorlaxgb@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 04 Sep 2009 00:24:03 GMT) Full text and rfc822 format available.

Message #120 received at 479952@bugs.debian.org (full text, mbox):

From: ef <snorlaxgb@gmail.com>
To: 479952@bugs.debian.org
Subject: Bug#479952: libc6/s390 - __pthread_mutex_lock: Assertion
Date: Thu, 3 Sep 2009 19:20:43 -0500
Hello,
I am Cross Compiling for Alpha EV67/EV5/Ev6 System and I am
encountering this bug, does anyone have a patch fix for GLIBC 2.9 as
GLIBC 2.10 is not supported for Alpha System. Any way to fix this bug
would be appreciated, as simply removing the assertion I believe is
not a solution.

Thanks
EF




Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. (Wed, 30 Sep 2009 19:42:04 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Wed, 30 Sep 2009 19:42:04 GMT) Full text and rfc822 format available.

Message #125 received at 479952-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 479952-close@bugs.debian.org
Subject: Bug#479952: fixed in eglibc 2.10.1-0exp2
Date: Wed, 30 Sep 2009 18:47:43 +0000
Source: eglibc
Source-Version: 2.10.1-0exp2

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.10.1-0exp2_all.deb
  to pool/main/e/eglibc/eglibc-source_2.10.1-0exp2_all.deb
eglibc_2.10.1-0exp2.diff.gz
  to pool/main/e/eglibc/eglibc_2.10.1-0exp2.diff.gz
eglibc_2.10.1-0exp2.dsc
  to pool/main/e/eglibc/eglibc_2.10.1-0exp2.dsc
glibc-doc_2.10.1-0exp2_all.deb
  to pool/main/e/eglibc/glibc-doc_2.10.1-0exp2_all.deb
libc-bin_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/libc-bin_2.10.1-0exp2_amd64.deb
libc-dev-bin_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/libc-dev-bin_2.10.1-0exp2_amd64.deb
libc6-dbg_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/libc6-dbg_2.10.1-0exp2_amd64.deb
libc6-dev-i386_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/libc6-dev-i386_2.10.1-0exp2_amd64.deb
libc6-dev_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/libc6-dev_2.10.1-0exp2_amd64.deb
libc6-i386_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/libc6-i386_2.10.1-0exp2_amd64.deb
libc6-pic_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/libc6-pic_2.10.1-0exp2_amd64.deb
libc6-prof_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/libc6-prof_2.10.1-0exp2_amd64.deb
libc6-udeb_2.10.1-0exp2_amd64.udeb
  to pool/main/e/eglibc/libc6-udeb_2.10.1-0exp2_amd64.udeb
libc6_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/libc6_2.10.1-0exp2_amd64.deb
libnss-dns-udeb_2.10.1-0exp2_amd64.udeb
  to pool/main/e/eglibc/libnss-dns-udeb_2.10.1-0exp2_amd64.udeb
libnss-files-udeb_2.10.1-0exp2_amd64.udeb
  to pool/main/e/eglibc/libnss-files-udeb_2.10.1-0exp2_amd64.udeb
locales-all_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/locales-all_2.10.1-0exp2_amd64.deb
locales_2.10.1-0exp2_all.deb
  to pool/main/e/eglibc/locales_2.10.1-0exp2_all.deb
nscd_2.10.1-0exp2_amd64.deb
  to pool/main/e/eglibc/nscd_2.10.1-0exp2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 14 Sep 2009 19:57:11 -0400
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.10.1-0exp2
Distribution: experimental
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - GNU C Library: Documentation
 libc-bin   - GNU C Library: Binaries
 libc-dev-bin - GNU C Library: Development binaries
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: detached debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: detached debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: detached debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: detached debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 479952 496763 511474 519479 533077 538513 539950
Changes: 
 eglibc (2.10.1-0exp2) experimental; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release.
     - Fix C++ declaration of string functions.  Closes: #496763.
     - Add Handling for group shadow files.  Closes: #519479.
     - Use AT_RANDOM for randomized stack protector value.  Closes:
       #533077.
     - don't trigger assertion on __pthread_mutex_lock anymore.  Closes:
       #479952.
     - fix week specifier in en_GB.  Closes: #511474.
     - debian/copyright, debian/*symbols*, debian/shlibver,
       debian/locales-depver, debian/debhelper.in/*.lintian: upgrade
       to 2.10.
     - alpha has been moved to ports, update debian/sysdeps/alpha.mk and
       debian/patches/alpha/* accordingly.
     - Remove debian/patches/arm/submitted-setjmp.diff (merged).
     - Remove debian/patches/arm/submitted-fpu_control_h.diff (merged).
     - Remove debian/patches/hppa/cvs-tsd.diff (merged).
     - Remove debian/patches/hppa/cvs-nptl.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-resource-prio.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-hurdsig-fix.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-net-headers.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-report-wait-fix.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-get_pc_thunk.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-strerror_l.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-rtld.diff (merged).
     - Update debian/patches/hurd-i386/local-tls-support.diff.
     - Update debian/patches/hurd-i386/submitted-extern_inline.diff.
     - Update debian/patches/hurd-i386/local-atomic-no-multiple_threads.diff.
     - Remove debian/patches/mips/cvs-context.diff (merged).
     - Remove debian/patches/sparc/cvs-siginfo.diff (merged).
     - Remove debian/patches/all/submitted-readme-version.diff (merged).
     - Remove debian/patches/any/submitted-install-map-files.diff (merged).
     - Remove debian/patches/any/cvs-pthread_h.diff (merged).
     - Remove debian/patches/any/local-bashisms.diff (merged).
     - Remove debian/patches/any/cvs-bz7058-nss_nss-nis.diff (merged).
     - Remove debian/patches/any/cvs-iconv-utf16.diff (merged).
     - Remove debian/patches/any/submitted-cross-zic.diff (merged).
     - Remove debian/patches/any/cvs-binutils_2.20.diff (merged).
     - Remove debian/patches/any/submitted-nss-nsswitch.diff (merged).
     - Remove debian/patches/any/cvs-bz9706-nss_nss-files_files-parse.diff
       (merged).
     - Update debian/patches/any/cvs-broken-dns.diff.
     - Remove debian/patches/any/cvs-bz9697-posix-regcomp.diff (merged).
     - Remove debian/patches/any/cvs-bz697-posix-regexec.diff (merged).
     - Remove debian/patches/any/submitted-broken-dns.diff (merged).
     - Remove debian/patches/any/submitted-mount_h.diff (merged).
     - Update debian/patches/any/submitted-futex_robust_pi.diff.
     - Update debian/patches/any/local-dynamic-resolvconf.diff.
     - Update debian/patches/any/local-libgcc-compat-main.diff.
     - Update debian/patches/any/local-libgcc-compat-ports.diff.
     - Update debian/patches/any/local-no-pagesize.diff.
     - Remove debian/patches/any/submitted-date-and-unknown-tz.diff (merged).
     - Remove debian/patches/any/cvs-sunrpc-license.diff (merged).
     - Remove debian/patches/any/submitted-tst-cpucount.diff (merged).
     - Remove debian/patches/any/submitted-signalfd-eventfd.diff (merged).
     - Remove debian/patches/any/cvs-unsetenv.diff (merged).
     - Remove debian/patches/localedata/mt_MT_euro.diff (merged).
     - Remove debian/patches/localedata/submitted-bz9731-el_CY_euro.diff
       (merged).
     - Remove debian/patches/localedata/sk_SK_euro.diff (merged).
     - Remove debian/patches/localedata/submitted-bz9730-locale-sv_FI.diff
       (merged).
     - Remove debian/patches/localedata/cvs-el_CY-el_GR-frac_digits.diff
       (merged).
     - Update debian/patches/localedata/sort-UTF8-first.diff.
     - Update debian/patches/localedata/fr_CA-first_weekday.diff
     - Update debian/patches/localedata/fr_BE-first_weekday.diff
     - Update debian/patches/localedata/cy_GB-first_weekday.diff
     - Remove debian/patches/localedata/submitted-bz9835-en_GB-first_day.diff
       (merged).
     - Update debian/patches/localedata/first_weekday.diff
     - Update debian/patches/localedata/fr_LU-first_weekday.diff
     - Update debian/patches/localedata/fr_CH-first_weekday.diff
     - Remove debian/patches/sh4/cvs-headers-update.diff (merged).
     - Remove debian/patches/any/local-revert-3270.diff (fixed upstream).
   * Remove localedata/locale-fr_FR.diff as coreutils has been fixed.
   * Add debian/patches/any/submitted-autotools.diff to update config.guess
     and config.sub.
   * Remove debian/patches/powerpc/local-sysconf.diff, as it only concerns
     kernel that are not supported anymore.
   * Add debian/patches/ia64/submitted-sysconf.diff to fix sysconf() on ia64.
   * Add debian/patches/alpha/submitted-getsysstats.diff,
     debian/patches/alpha/submitted-includes.diff and
     debian/patches/alpha/submitted-lowlevellock.diff to partially fix FTBFS
     on alpha.
   * Add debian/patches/any/local-linuxthreads-unwind.diff to fix exception
     handling with linuxthreads.
   * Add debian/patches/any/cvs-nptl-init.diff to allow overwriting
     architectures init.c in csu and nptl individually.
   * Add debian/patches/any/submitted-accept4-hidden.diff to fix build
     on non Linux architectures.
   * Add debian/patches/kfreebsd/local-sysdeps-2.10.diff to update sysdeps
     for glibc 2.10 on GNU/kFreeBSD.
   * Add debian/patches/alpha/submitted-rtld-fPIC.diff to fix build on alpha.
   * Add debian/patches/any/submitted-getent-gshadow.diff to add gshadow
     support to getent.
   * debian/rules.d/tarball.mk: store the checkout revision in the tarball
     (file .svn-revision).
   * debian/rules.d/tarball.mk: add an "update-from-upstream-svn" rule to
     automatically update debian/patches/svn-updates.diff.
   * patches/ia64/submitted-libm.diff: new patch to fix errors in the
     math testsuite on ia64.
   * Use gcc 4.4 by default, except on armel, hppa, mips, mipsel, sparc and
     hurd-i386.
   * Update to upstream revision 8758.
   * patches/any/submitted-missing-etc-hosts.diff: new patch from Steve
     Langasek to treat a missing /etc/hosts as a simple "not found", not as
     an internal error.  Closes: bug#539950.
 .
   [ Petr Salinger ]
   * Add kfreebsd/local-no-SOCK_NONBLOCK.diff to fix build on GNU/kFreeBSD.
 .
   [ Samuel Thibault ]
   * Add debian/patches/hurd-i386/local-_dl_random.diff to fix build on
     hurd-i386.
   * Add debian/patches/hurd-i386/local-unwind-resume.diff to fix build on
     hurd-i386.
   * Fix debian/patches/hurd-i386/local-tls-support.diff to align up includes
     on Linux, to fix build.
 .
   [ Carlos O'Donell ]
   * Add hppa/cvs-nptl-compat.diff to keep ABI compatibility between
     linuxthreads and NPTL on HPPA.
   * sysdeps/hppa.mk: switch to NPTL. Closes: bug#538513.
   * testsuite-checking/expected-results-hppa-linux-gnu-libc: update.
Checksums-Sha1: 
 a2af4bb11eb23ab8e30ec32b7273902c850a92b8 3424 eglibc_2.10.1-0exp2.dsc
 76e65d1f7cd10fd34a5f110c9012b76c9233de2b 22499205 eglibc_2.10.1.orig.tar.gz
 5898f5fdc9ef7c1dc12e1836ef071f1787306e72 766796 eglibc_2.10.1-0exp2.diff.gz
 35e2f7a9265aa26d2106411251f3d3e931b932f0 1811188 glibc-doc_2.10.1-0exp2_all.deb
 97c419b225b86c2c880f591476254c2da17d851f 11338502 eglibc-source_2.10.1-0exp2_all.deb
 97c4da6644af6d1b871320cd7178170c77db47f6 4752580 locales_2.10.1-0exp2_all.deb
 75bb92a35c2d4bb557146ff3c55bb410ac4b2d99 4232262 libc6_2.10.1-0exp2_amd64.deb
 62946205b74631b52e65789d19e7a7e2a9eaa89d 2539346 libc6-dev_2.10.1-0exp2_amd64.deb
 423dff43beaa8c9019d896c5a305110d6b7a886f 1984782 libc6-prof_2.10.1-0exp2_amd64.deb
 07ef459271e785e95226b077a64ddcda561324d7 1514422 libc6-pic_2.10.1-0exp2_amd64.deb
 be79861312809f1cbb91cc4cfc6d695163d0b8e8 733152 libc-bin_2.10.1-0exp2_amd64.deb
 ef193e7692bcd375613678063242d046401a30bb 198800 libc-dev-bin_2.10.1-0exp2_amd64.deb
 6a74e0a6cd8639760bf55b841aece6d590f37571 3066954 locales-all_2.10.1-0exp2_amd64.deb
 01b86621d9683e58bc7df17771d32f8c8e19d661 3847108 libc6-i386_2.10.1-0exp2_amd64.deb
 72c5047371fb2438c30a3191c5b209edb369757e 1536836 libc6-dev-i386_2.10.1-0exp2_amd64.deb
 7a6c299d3e9ba6311bd299c7ab12b93673fa7327 191106 nscd_2.10.1-0exp2_amd64.deb
 57dd0ca43dec8d35724ffb5d05340deae6a978c9 10228560 libc6-dbg_2.10.1-0exp2_amd64.deb
 c6fbb38d744ced20726c58eb50188444c6684fad 1133566 libc6-udeb_2.10.1-0exp2_amd64.udeb
 be26d9009289a507b7a6036d9fd4a360dcfc4c90 11216 libnss-dns-udeb_2.10.1-0exp2_amd64.udeb
 5c69efcfdc88201ffe10c99c93650f1238062d84 19552 libnss-files-udeb_2.10.1-0exp2_amd64.udeb
Checksums-Sha256: 
 f62ee291e78b86696182c4f6fc2c94109cc1ef1b12199c169c0974015f3a7a71 3424 eglibc_2.10.1-0exp2.dsc
 871a76e463e3b37bdff135860316d3e0b99ecdf74e46cb69ae5bc3e56d9ed210 22499205 eglibc_2.10.1.orig.tar.gz
 0c3f9cbd39e88782df9dc8abd397475445e896d438115cfc70fead668f9b74f1 766796 eglibc_2.10.1-0exp2.diff.gz
 e747da44a9336b2da5d0a826041dde27e1369d2d6aec2b9cc28d0a0363217337 1811188 glibc-doc_2.10.1-0exp2_all.deb
 3f1a587666e0309ec01a0c955a33682555d43df09ef64b5a525ba0465e2feff1 11338502 eglibc-source_2.10.1-0exp2_all.deb
 940e21b62c0b5cd2ddd2a8b4957da9771176873df25063a3c21c3ed8ba13d1e5 4752580 locales_2.10.1-0exp2_all.deb
 eb12601b68beb87383d21c478345c3bfdee7a38574bf32471bc2048293508849 4232262 libc6_2.10.1-0exp2_amd64.deb
 7959fe1c8ade51a017eeff38f0b0556b8b6665818f27d03aa0a1ec6c0e9c8dfc 2539346 libc6-dev_2.10.1-0exp2_amd64.deb
 9278e8680be0a772c1951fab4dbe2bb5bcb505ac7871a6f6a9d6cf6d7c31f128 1984782 libc6-prof_2.10.1-0exp2_amd64.deb
 ce99e31127e9d4a33fa58de2622ff9ccbf1461610461b821d0ff307f242250e6 1514422 libc6-pic_2.10.1-0exp2_amd64.deb
 fbe6729cc4e64c324775cd47ca9509042ab331bab083c6e0dc365a5a6d7944a6 733152 libc-bin_2.10.1-0exp2_amd64.deb
 6d6f9ce2fddf60bc310b986c626e0cb2aa14aa2e4b7ab1479bb5616e604b4359 198800 libc-dev-bin_2.10.1-0exp2_amd64.deb
 d63c5b92e405b519d12784a93f40723cdec56f76229a12aaf1609c257880dcd9 3066954 locales-all_2.10.1-0exp2_amd64.deb
 b591c52387304e3d25ffa1e10fb2ee5a3c849b6b0f8d22c74a7ab0421e107ba2 3847108 libc6-i386_2.10.1-0exp2_amd64.deb
 1c04582c7547f21c040cfe298ebb1be2cefba7090285c3c72e2e11dc57eba738 1536836 libc6-dev-i386_2.10.1-0exp2_amd64.deb
 ce7a37791fc921e8eb2bc72d7bf0f997493620a3853a9f38f1712405e73fb3b6 191106 nscd_2.10.1-0exp2_amd64.deb
 e2e0785e678597b1918dd556fe0fede9e4ca1afe7f2ec9f0778c3047a8b1fd57 10228560 libc6-dbg_2.10.1-0exp2_amd64.deb
 622b7c76b2757a7a0f2a9122e8bad848a41a00e6821c6334f02631ff9d5778bf 1133566 libc6-udeb_2.10.1-0exp2_amd64.udeb
 72137262f938572f0ec3d3b050be741d064ad16d477dd2a51687bcf4e1bd49b3 11216 libnss-dns-udeb_2.10.1-0exp2_amd64.udeb
 28af4d6883637eb33637fb29d1c925c5147f8c24d501c81a717751839864d093 19552 libnss-files-udeb_2.10.1-0exp2_amd64.udeb
Files: 
 611c6f3aae89a18c8ec983fb0996378e 3424 libs required eglibc_2.10.1-0exp2.dsc
 bb47b04d4546b44b140f6202f9f18032 22499205 libs required eglibc_2.10.1.orig.tar.gz
 6f85daa55723297b9c947150a224a131 766796 libs required eglibc_2.10.1-0exp2.diff.gz
 a115542243614351c4da41f6ae7f10a3 1811188 doc optional glibc-doc_2.10.1-0exp2_all.deb
 f1ec3ed198c74828e3a4073dfa950d60 11338502 devel optional eglibc-source_2.10.1-0exp2_all.deb
 273e70f6589198053a611ccead2d7d6d 4752580 libs standard locales_2.10.1-0exp2_all.deb
 63f67b0e1272779d3ae7bdf7ff5a1904 4232262 libs required libc6_2.10.1-0exp2_amd64.deb
 4b08a288249f36353e3463b8cd33a77d 2539346 libdevel optional libc6-dev_2.10.1-0exp2_amd64.deb
 38dd86da093b2c2d6c46fe7f21cfa58a 1984782 libdevel extra libc6-prof_2.10.1-0exp2_amd64.deb
 f8b041f0a3e288e680140a746c4b06d4 1514422 libdevel optional libc6-pic_2.10.1-0exp2_amd64.deb
 c098a4d8546a8ec5cec05e629f97a778 733152 libs required libc-bin_2.10.1-0exp2_amd64.deb
 9bc36a697d340525b7022c0339fee06d 198800 libdevel optional libc-dev-bin_2.10.1-0exp2_amd64.deb
 24b26940d440a45eb36d5ebaddad2406 3066954 libs extra locales-all_2.10.1-0exp2_amd64.deb
 a7cdb85460a4469eb9e04c937b647da6 3847108 libs optional libc6-i386_2.10.1-0exp2_amd64.deb
 ed3c00b2a30dd5330442161c80812015 1536836 libdevel optional libc6-dev-i386_2.10.1-0exp2_amd64.deb
 5f7a89fc5f3e87329596385a455acf46 191106 admin optional nscd_2.10.1-0exp2_amd64.deb
 88ed0bc73b0a969695695c7b5ee6740e 10228560 debug extra libc6-dbg_2.10.1-0exp2_amd64.deb
 14400c43354a9284f9066143e300817c 1133566 debian-installer extra libc6-udeb_2.10.1-0exp2_amd64.udeb
 2658c07cecffb7e89b4a2bda3f66ae5b 11216 debian-installer extra libnss-dns-udeb_2.10.1-0exp2_amd64.udeb
 e872cacddd6f854062d2eeb2836d413a 19552 debian-installer extra libnss-files-udeb_2.10.1-0exp2_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJKw5lvAAoJEFWSMx4ZnTiol+YQAKxcSaBawGKSt3CkrVY89LHx
PU43FALJXnmJ2WhXXNEcE0+OiG3ILR1YCNMFNSFTaYNDs1Y1vYmXrvYL3rnZAq2l
xaIJ8HpZaNflSy8asueSnrv+0uVZr47YTDbMZJlg78pTd0gAUpJi+lwODGcvXP+1
Xu6jLIq7FkK3dC6Ik1irIRT8VAa7qhT/0YioVjtfHQYsf/3bfT9ChZJ2dHTqd62v
6T69+YLzpIWL/6MkmgGkS4Bk72Ie33CnlCZmoMSHYlWli3ZEDG4hjGOARo2Sn43R
KRoHZwEhcBqQnZJ8IfcWIJMF/900sF1hSqZU1hA5kZKLYICFfNVwmxes1hiHM4lp
al2F/XVDpxNYyeZLZC3+jvX1jnSEqbRbgK7nwf7FaMjrcDxqZYPM9GHA19js5/el
syhKK9LTJnX0BhfptYJ9yLp8LgZ3Ls+sMB28DiC/gf2rrSSb6dRtZl2hSh6IgNfw
cy8CV/RMfywxff02ZYjnKegf1Bq7EA+swdcwh28mA5nFOoLIEFU3Iw1UGUei9vcb
BRrLOWas50ZNwV1Yk459AaQerbpgQdpg2AHA0JxPKFUZkHeI9lLuZ1j2qQnIs96f
9wJcDboA2Q850TojSRWmhmKxmZgA3PqPC4SCr3en0qGR5JE9QysAUy1ShP9dbkJZ
UGDwidN0mM3kziFJjhyJ
=kDeq
-----END PGP SIGNATURE-----





Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 18 Oct 2009 20:36:05 GMT) Full text and rfc822 format available.

Notification sent to Bastian Blank <waldi@debian.org>:
Bug acknowledged by developer. (Sun, 18 Oct 2009 20:36:05 GMT) Full text and rfc822 format available.

Message #130 received at 479952-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 479952-close@bugs.debian.org
Subject: Bug#479952: fixed in eglibc 2.10.1-1
Date: Sun, 18 Oct 2009 20:03:33 +0000
Source: eglibc
Source-Version: 2.10.1-1

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.10.1-1_all.deb
  to pool/main/e/eglibc/eglibc-source_2.10.1-1_all.deb
eglibc_2.10.1-1.diff.gz
  to pool/main/e/eglibc/eglibc_2.10.1-1.diff.gz
eglibc_2.10.1-1.dsc
  to pool/main/e/eglibc/eglibc_2.10.1-1.dsc
glibc-doc_2.10.1-1_all.deb
  to pool/main/e/eglibc/glibc-doc_2.10.1-1_all.deb
libc-bin_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/libc-bin_2.10.1-1_amd64.deb
libc-dev-bin_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/libc-dev-bin_2.10.1-1_amd64.deb
libc6-dbg_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/libc6-dbg_2.10.1-1_amd64.deb
libc6-dev-i386_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/libc6-dev-i386_2.10.1-1_amd64.deb
libc6-dev_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/libc6-dev_2.10.1-1_amd64.deb
libc6-i386_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/libc6-i386_2.10.1-1_amd64.deb
libc6-pic_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/libc6-pic_2.10.1-1_amd64.deb
libc6-prof_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/libc6-prof_2.10.1-1_amd64.deb
libc6-udeb_2.10.1-1_amd64.udeb
  to pool/main/e/eglibc/libc6-udeb_2.10.1-1_amd64.udeb
libc6_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/libc6_2.10.1-1_amd64.deb
libnss-dns-udeb_2.10.1-1_amd64.udeb
  to pool/main/e/eglibc/libnss-dns-udeb_2.10.1-1_amd64.udeb
libnss-files-udeb_2.10.1-1_amd64.udeb
  to pool/main/e/eglibc/libnss-files-udeb_2.10.1-1_amd64.udeb
locales-all_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/locales-all_2.10.1-1_amd64.deb
locales_2.10.1-1_all.deb
  to pool/main/e/eglibc/locales_2.10.1-1_all.deb
nscd_2.10.1-1_amd64.deb
  to pool/main/e/eglibc/nscd_2.10.1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 479952@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Oct 2009 18:35:20 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-sparcv9b libc6-i686 libc6-xen libc0.1-i686 libc6.1-alphaev67 libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.10.1-1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - GNU C Library: Documentation
 libc-bin   - GNU C Library: Binaries
 libc-dev-bin - GNU C Library: Development binaries
 libc0.1    - GNU C Library: Shared libraries
 libc0.1-dbg - GNU C Library: detached debugging symbols
 libc0.1-dev - GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - GNU C Library: PIC archive library
 libc0.1-prof - GNU C Library: Profiling Libraries
 libc0.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - GNU C Library: Shared libraries
 libc0.3-dbg - GNU C Library: detached debugging symbols
 libc0.3-dev - GNU C Library: Development Libraries and Header Files
 libc0.3-pic - GNU C Library: PIC archive library
 libc0.3-prof - GNU C Library: Profiling Libraries
 libc0.3-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: detached debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - GNU C Library: 32bit powerpc development libraries for ppc64
 libc6-dev-ppc64 - GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390x - GNU C Library: 64bit Development Libraries for IBM zSeries
 libc6-dev-sparc64 - GNU C Library: 64bit Development Libraries for UltraSPARC
 libc6-i386 - GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-mips64 - GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - GNU C Library: PIC archive library
 libc6-powerpc - GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-s390x - GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-sparcv9b - GNU C Library: Shared libraries [v9b optimized]
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libc6.1    - GNU C Library: Shared libraries
 libc6.1-alphaev67 - GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - GNU C Library: detached debugging symbols
 libc6.1-dev - GNU C Library: Development Libraries and Header Files
 libc6.1-pic - GNU C Library: PIC archive library
 libc6.1-prof - GNU C Library: Profiling Libraries
 libc6.1-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 locales-all - GNU C Library: Precompiled locale data
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 479952 496763 511474 519479 533077 538513 539950 550857
Changes: 
 eglibc (2.10.1-1) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * New upstream release.
     - Fix C++ declaration of string functions.  Closes: #496763.
     - Add Handling for group shadow files.  Closes: #519479.
     - Use AT_RANDOM for randomized stack protector value.  Closes:
       #533077.
     - don't trigger assertion on __pthread_mutex_lock anymore.  Closes:
       #479952.
     - Fix week specifier in en_GB.  Closes: #511474.
     - Update sys/timex.h.  Closes: #550857.
     - debian/copyright, debian/*symbols*, debian/shlibver,
       debian/locales-depver, debian/debhelper.in/*.lintian: upgrade
       to 2.10.
     - alpha has been moved to ports, update debian/sysdeps/alpha.mk and
       debian/patches/alpha/* accordingly.
     - Remove debian/patches/arm/submitted-setjmp.diff (merged).
     - Remove debian/patches/arm/submitted-fpu_control_h.diff (merged).
     - Remove debian/patches/hppa/cvs-tsd.diff (merged).
     - Remove debian/patches/hppa/cvs-nptl.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-resource-prio.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-hurdsig-fix.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-net-headers.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-report-wait-fix.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-get_pc_thunk.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-strerror_l.diff (merged).
     - Remove debian/patches/hurd-i386/cvs-rtld.diff (merged).
     - Update debian/patches/hurd-i386/local-tls-support.diff.
     - Update debian/patches/hurd-i386/submitted-extern_inline.diff.
     - Update debian/patches/hurd-i386/local-atomic-no-multiple_threads.diff.
     - Remove debian/patches/mips/cvs-context.diff (merged).
     - Remove debian/patches/sparc/cvs-siginfo.diff (merged).
     - Remove debian/patches/all/submitted-readme-version.diff (merged).
     - Remove debian/patches/any/submitted-install-map-files.diff (merged).
     - Remove debian/patches/any/cvs-pthread_h.diff (merged).
     - Remove debian/patches/any/local-bashisms.diff (merged).
     - Remove debian/patches/any/cvs-bz7058-nss_nss-nis.diff (merged).
     - Remove debian/patches/any/cvs-iconv-utf16.diff (merged).
     - Remove debian/patches/any/submitted-cross-zic.diff (merged).
     - Remove debian/patches/any/cvs-binutils_2.20.diff (merged).
     - Remove debian/patches/any/submitted-nss-nsswitch.diff (merged).
     - Remove debian/patches/any/cvs-bz9706-nss_nss-files_files-parse.diff
       (merged).
     - Update debian/patches/any/cvs-broken-dns.diff.
     - Remove debian/patches/any/cvs-bz9697-posix-regcomp.diff (merged).
     - Remove debian/patches/any/cvs-bz697-posix-regexec.diff (merged).
     - Remove debian/patches/any/submitted-broken-dns.diff (merged).
     - Remove debian/patches/any/submitted-mount_h.diff (merged).
     - Update debian/patches/any/submitted-futex_robust_pi.diff.
     - Update debian/patches/any/local-dynamic-resolvconf.diff.
     - Update debian/patches/any/local-libgcc-compat-main.diff.
     - Update debian/patches/any/local-libgcc-compat-ports.diff.
     - Update debian/patches/any/local-no-pagesize.diff.
     - Remove debian/patches/any/submitted-date-and-unknown-tz.diff (merged).
     - Remove debian/patches/any/cvs-sunrpc-license.diff (merged).
     - Remove debian/patches/any/submitted-tst-cpucount.diff (merged).
     - Remove debian/patches/any/submitted-signalfd-eventfd.diff (merged).
     - Remove debian/patches/any/cvs-unsetenv.diff (merged).
     - Remove debian/patches/localedata/mt_MT_euro.diff (merged).
     - Remove debian/patches/localedata/submitted-bz9731-el_CY_euro.diff
       (merged).
     - Remove debian/patches/localedata/sk_SK_euro.diff (merged).
     - Remove debian/patches/localedata/submitted-bz9730-locale-sv_FI.diff
       (merged).
     - Remove debian/patches/localedata/cvs-el_CY-el_GR-frac_digits.diff
       (merged).
     - Update debian/patches/localedata/sort-UTF8-first.diff.
     - Update debian/patches/localedata/fr_CA-first_weekday.diff
     - Update debian/patches/localedata/fr_BE-first_weekday.diff
     - Update debian/patches/localedata/cy_GB-first_weekday.diff
     - Remove debian/patches/localedata/submitted-bz9835-en_GB-first_day.diff
       (merged).
     - Update debian/patches/localedata/first_weekday.diff
     - Update debian/patches/localedata/fr_LU-first_weekday.diff
     - Update debian/patches/localedata/fr_CH-first_weekday.diff
     - Remove debian/patches/sh4/cvs-headers-update.diff (merged).
     - Remove debian/patches/any/local-revert-3270.diff (fixed upstream).
   * Remove localedata/locale-fr_FR.diff as coreutils has been fixed.
   * Add debian/patches/any/submitted-autotools.diff to update config.guess
     and config.sub.
   * Remove debian/patches/powerpc/local-sysconf.diff, as it only concerns
     kernel that are not supported anymore.
   * Add debian/patches/ia64/submitted-sysconf.diff to fix sysconf() on ia64.
   * Add debian/patches/alpha/submitted-getsysstats.diff,
     debian/patches/alpha/submitted-includes.diff and
     debian/patches/alpha/submitted-lowlevellock.diff to partially fix FTBFS
     on alpha.
   * Add debian/patches/any/local-linuxthreads-unwind.diff to fix exception
     handling with linuxthreads.
   * Add debian/patches/any/cvs-nptl-init.diff to allow overwriting
     architectures init.c in csu and nptl individually.
   * Add debian/patches/any/submitted-accept4-hidden.diff to fix build
     on non Linux architectures.
   * Add debian/patches/kfreebsd/local-sysdeps-2.10.diff to update sysdeps
     for glibc 2.10 on GNU/kFreeBSD.
   * Add debian/patches/alpha/submitted-rtld-fPIC.diff to fix build on alpha.
   * Add debian/patches/any/submitted-getent-gshadow.diff to add gshadow
     support to getent.
   * debian/rules.d/tarball.mk: store the checkout revision in the tarball
     (file .svn-revision).
   * debian/rules.d/tarball.mk: add an "update-from-upstream-svn" rule to
     automatically update debian/patches/svn-updates.diff.
   * patches/ia64/submitted-libm.diff: new patch to fix errors in the
     math testsuite on ia64.
   * Use gcc 4.4 by default, except on armel, hppa, mips, mipsel, sparc and
     hurd-i386.
   * Update to upstream revision 8758.
   * patches/any/submitted-missing-etc-hosts.diff: new patch from Steve
     Langasek to treat a missing /etc/hosts as a simple "not found", not as
     an internal error.  Closes: bug#539950.
   * libc.postinst: only call telinit on Linux as originally.
   * Fix package name in alpha/ia64 private symbols versioning.
   * Add patches/sparc/local-sparcv9-memchr.diff to fix test-memchr.
 .
   [ Petr Salinger ]
   * Add kfreebsd/local-no-SOCK_NONBLOCK.diff to fix build on GNU/kFreeBSD.
 .
   [ Samuel Thibault ]
   * Add debian/patches/hurd-i386/local-_dl_random.diff to fix build on
     hurd-i386.
   * Add debian/patches/hurd-i386/local-unwind-resume.diff to fix build on
     hurd-i386.
   * Fix debian/patches/hurd-i386/local-tls-support.diff to align up includes
     on Linux, to fix build.
 .
   [ Carlos O'Donell ]
   * Add hppa/cvs-nptl-compat.diff to keep ABI compatibility between
     linuxthreads and NPTL on HPPA.
   * sysdeps/hppa.mk: switch to NPTL. Closes: bug#538513.
   * testsuite-checking/expected-results-hppa-linux-gnu-libc: update.
Checksums-Sha1: 
 feef394e02d9a2443cd72e3b777cb3c430078eef 2744 eglibc_2.10.1-1.dsc
 76e65d1f7cd10fd34a5f110c9012b76c9233de2b 22499205 eglibc_2.10.1.orig.tar.gz
 224c56b7da4f22a22bf96c685ead6554dae205dd 767198 eglibc_2.10.1-1.diff.gz
 906d4d9f40ed11d420667d81f6c3f32931baffd1 1811230 glibc-doc_2.10.1-1_all.deb
 0cad0e289c9adf303d2a05ed8065d5ca21965ce7 11346162 eglibc-source_2.10.1-1_all.deb
 ffbc984b02213545abf1c9e51673b1153381b643 4747718 locales_2.10.1-1_all.deb
 29be2b322c764e31921fe172557720ddbed2d680 4226536 libc6_2.10.1-1_amd64.deb
 802725dca0f1a08685d1ee16763315b448162502 2546428 libc6-dev_2.10.1-1_amd64.deb
 34d40badb399b6ab1a207e8816c9e9768294d5ab 1990938 libc6-prof_2.10.1-1_amd64.deb
 a292f21ccffc4bec2d81843ee1d61763cf6bcf24 1514606 libc6-pic_2.10.1-1_amd64.deb
 5b6b188aad3dc1c5a17421f628269d16c28e46c3 725796 libc-bin_2.10.1-1_amd64.deb
 1c56575058a2b3a1cd49c32c758e37607fbf66ca 198790 libc-dev-bin_2.10.1-1_amd64.deb
 d98c48f3b2bc72ccf839518e5610ec4c0d1a806d 3056600 locales-all_2.10.1-1_amd64.deb
 2ea9e81fc7d9aca80b9ec7b328df35333fe03daa 3776858 libc6-i386_2.10.1-1_amd64.deb
 7c01ce2d7a70ea9832c162eda6ac97e3fa60dc18 1498188 libc6-dev-i386_2.10.1-1_amd64.deb
 a1e92a75092bc6ebeb504408de5e77561633dab5 191182 nscd_2.10.1-1_amd64.deb
 22d56dfa6b6c45d098212c70c53f96ba2c9d4d72 10302354 libc6-dbg_2.10.1-1_amd64.deb
 baabb9b2aaf184d08323ae603f1926f7fa9fa1b3 1134642 libc6-udeb_2.10.1-1_amd64.udeb
 49681c1bc07cb51b21260152b6d267463647f215 11208 libnss-dns-udeb_2.10.1-1_amd64.udeb
 fbdd62d37b12ae534bc3593629ce1212fd46aa3e 19540 libnss-files-udeb_2.10.1-1_amd64.udeb
Checksums-Sha256: 
 e6032249da71cbac53c96e6984c962391e383a5172544329f180af8673695ec1 2744 eglibc_2.10.1-1.dsc
 871a76e463e3b37bdff135860316d3e0b99ecdf74e46cb69ae5bc3e56d9ed210 22499205 eglibc_2.10.1.orig.tar.gz
 90b94061395f9994a3b5beaf045f71319b3d2af81f1a44c70255a6ac01a5429c 767198 eglibc_2.10.1-1.diff.gz
 c70d64ce9458445f012a79531602f5831961703c9cc8be91cdb64eb929a956f4 1811230 glibc-doc_2.10.1-1_all.deb
 2ed9128751602c04194977af17e67a962c3c52762faaa10917987ad2468461b8 11346162 eglibc-source_2.10.1-1_all.deb
 a3ea426fa897cb08110184d510333e6a10bfb316dcf2310254969363f73561cb 4747718 locales_2.10.1-1_all.deb
 c598b4f6cab9299813507b8eb94430b38a2589b229998dbe2b4828efdd57b9ee 4226536 libc6_2.10.1-1_amd64.deb
 375d1db20353a884fa6f92faa1fec42b2a520b8357722581f66e949974df56b5 2546428 libc6-dev_2.10.1-1_amd64.deb
 3a7da7e771494b14c70347614e08f70ff726a10001eb2782789bd013749732f5 1990938 libc6-prof_2.10.1-1_amd64.deb
 483fafe76238f07be7e1a9ed0368af6e751e5bbd8f6a2e90afe64b2ac70e9db9 1514606 libc6-pic_2.10.1-1_amd64.deb
 9fa0ed1c6339f218c189ebec483db6146636411246ff50e24d1ec72e2404a606 725796 libc-bin_2.10.1-1_amd64.deb
 97ab73e1b4d9a448d8ab175ad9efcbb78d254522a5062de2b7c9df48787fd35e 198790 libc-dev-bin_2.10.1-1_amd64.deb
 60b7df0ab584d994c3388ae2419435540b9b60a0bd30b71b0fe261f4ac1ac0a9 3056600 locales-all_2.10.1-1_amd64.deb
 2acabd9eded4d16d2098d37fa3d807378ecf61ff1801a554f904f31c707b96c8 3776858 libc6-i386_2.10.1-1_amd64.deb
 633d8ed796885c0b9a03edee28e637b461da9a8d4950f70b17ea24dbd18fbeb0 1498188 libc6-dev-i386_2.10.1-1_amd64.deb
 b8d7f6a612578223b6d49d1d969731634bc9e65959819146b2d8dfcaa5429f16 191182 nscd_2.10.1-1_amd64.deb
 379730d87a1a15ea027c6576c2f2de6ae8e05b0518584c24d1667bb7b7ed1588 10302354 libc6-dbg_2.10.1-1_amd64.deb
 33bc80d8f8355ea2ffbc071e9bedac87b084c3c0a81276672ded81498301a46f 1134642 libc6-udeb_2.10.1-1_amd64.udeb
 b46707a296d7073615500c4d45dbb194b9e106457222c814600ea7bb1d2473ee 11208 libnss-dns-udeb_2.10.1-1_amd64.udeb
 b223dd35e7b0c0e7e3c0874b1258aa1216132bb7ba79e8ac4bce1b5195685dbe 19540 libnss-files-udeb_2.10.1-1_amd64.udeb
Files: 
 ee4c4aaa3e4f044ce33fb884993773f6 2744 libs required eglibc_2.10.1-1.dsc
 bb47b04d4546b44b140f6202f9f18032 22499205 libs required eglibc_2.10.1.orig.tar.gz
 ec4b39763fe4f72d1c117ac8510a93c1 767198 libs required eglibc_2.10.1-1.diff.gz
 b6612ce42d6e3d67bbcc41dc2a81c7b5 1811230 doc optional glibc-doc_2.10.1-1_all.deb
 78fa840e7f87dc3eeb67773abef187f4 11346162 devel optional eglibc-source_2.10.1-1_all.deb
 8e810572b41d64555c96b77ac1fae140 4747718 libs standard locales_2.10.1-1_all.deb
 9d5a1f0869de611b8a7a8738c6b69cb0 4226536 libs required libc6_2.10.1-1_amd64.deb
 dfecb151d888fd2a125a9149be834eb2 2546428 libdevel optional libc6-dev_2.10.1-1_amd64.deb
 69456ea339f40004c60ce6b0a442a4e4 1990938 libdevel extra libc6-prof_2.10.1-1_amd64.deb
 dad0cf877a2f7d32b0fbe3b166c133d3 1514606 libdevel optional libc6-pic_2.10.1-1_amd64.deb
 c3311424e30d2b96df7a395262026ada 725796 libs required libc-bin_2.10.1-1_amd64.deb
 ac5875d4bd0381c8f512736bd0ed6e30 198790 libdevel optional libc-dev-bin_2.10.1-1_amd64.deb
 f7549e129430a3ff6c42584f742ad80d 3056600 libs extra locales-all_2.10.1-1_amd64.deb
 07ed7b199601f68c43b15348b104c2e4 3776858 libs optional libc6-i386_2.10.1-1_amd64.deb
 01b9e0e75ae363b9640e3ba5ac99dc80 1498188 libdevel optional libc6-dev-i386_2.10.1-1_amd64.deb
 34f085d37b3b967834d1e06be98e97df 191182 admin optional nscd_2.10.1-1_amd64.deb
 f8a18c9c1a5de7703f248e96ed6a3c49 10302354 debug extra libc6-dbg_2.10.1-1_amd64.deb
 a9548dbc8243fcac3269131d3b0af2f4 1134642 debian-installer extra libc6-udeb_2.10.1-1_amd64.udeb
 997de3ea98f71df876207dfdfce71b4d 11208 debian-installer extra libnss-dns-udeb_2.10.1-1_amd64.udeb
 672d02861c3eea015a8c0af212360dec 19540 debian-installer extra libnss-files-udeb_2.10.1-1_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK22nXw3ao2vG823MRAiAAAJ91K4sME+Q+7YfijhQyNb5Hl8hgLACfeJBF
AxraRIb2MwhhLXWDBJ6JV2s=
=Y9fF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Nov 2009 07:33:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:01:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.